/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XClipboardFactory.idl,v $
 * $Revision: 1.9 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_datatransfer_clipboard_XClipboardFactory_idl__
#define __com_sun_star_datatransfer_clipboard_XClipboardFactory_idl__

#ifndef __com_sun_star_lang_IllegalArgumentException_idl__
#include <com/sun/star/lang/IllegalArgumentException.idl>
#endif

#ifndef __com_sun_star_uno_XInterface_idl__
#include <com/sun/star/uno/XInterface.idl>
#endif

//=============================================================================

module com { module sun { module star { module datatransfer { module clipboard {

 published interface XClipboard;
                
//=============================================================================
/** Should be implemented by a clipboard factory that simplifies the creation of
    multiple clipboard instances.
 
    @see com::sun::star::datatransfer::clipboard::XClipboard
*/

published interface XClipboardFactory: com::sun::star::uno::XInterface
{
    //-------------------------------------------------------------------------
    /** Creates a new named clipboard instance.

        @returns
        A newly created instance of a <type>GenericClipboard</type> 
        implementation. 

        @param aName 
        The name the clipboard should have.

        @throws com::sun::star::lang::IllegalArgumentException
        If an empty string is passed as clipboard name.
    */
    XClipboard createClipboard( [in] string aName )
        raises ( com::sun::star::lang::IllegalArgumentException );
};

//=============================================================================

}; }; }; }; };

#endif
